%% PTrussAssignElementProperties.m
%  Assigns properties for the n element
%  This file is part of the PTrussMatlab program

Node_i = ElementProperties(n,1); %Start Node
Node_j = ElementProperties(n,2); %End Node

MaterialGroup = ElementProperties(n,3); %Material Group
SectionGroup = ElementProperties(n,4); %Section Group

E = MaterialProperties(MaterialGroup); %Material Modulus of Elasticity
A = SectionProperties(SectionGroup,1); %Cross Section Area

x1 = NodesCoordinates(Node_i,1); y1 = NodesCoordinates(Node_i,2); %Node i Coordinates
x2 = NodesCoordinates(Node_j,1); y2 = NodesCoordinates(Node_j,2); %Node j Coordinates

L = PTrussElementLength(x1,y1,x2,y2); %Element Length

% End of file -------------------------------------------------------------