%% PTrussDataOutput.m
%  Saves analysis results to output file
%  This file is part of the PTrussMatlab program


%% Open output file and start writing
OutputFileExtension = '.txt';
[pathstr,name,ext] = fileparts(InputFileName);
OutputFileName = [name, '_Output', OutputFileExtension];
fileID = fopen(OutputFileName,'wt');
fprintf(fileID, '*PTrussMatlab output file\n');
fprintf(fileID, '\n');


%% Write Nodes displacements
fprintf(fileID, '*Node Displacements (global system)\n');
fprintf(fileID, '\n');
fprintf(fileID, ' ID   x-displacement   y-displacement\n');
fprintf(fileID, '%3i % 16.4E % 16.4E \n', [[1:NumNodes]' NodeDisplacementsGlobal]');
fprintf(fileID, '\n');


%% Write Element forces
fprintf(fileID, '*Element Forces, Stresses and Strains\n');
fprintf(fileID, '\n');
fprintf(fileID, ' ID    Axial Force   Axial Stress     Axial Strain\n');
fprintf(fileID, '%3i % 14.4f % 14.4f % 16.4E\n', [[1:NumElements]' ElementALLForces ElementALLStresses ElementALLStrains]');
fprintf(fileID, '\n');


%% Write Constraint reactions
fprintf(fileID, '*Constraint Reactions (global system)\n');
fprintf(fileID, '\n');
fprintf(fileID, ' ID  DOF       Reaction\n');
fprintf(fileID, '%3i %4i % 14.4f \n', NodeDOFReaction');
fprintf(fileID, '\n');


%% Close output file
fclose(fileID);

% End of file -------------------------------------------------------------